{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":21228,"path":"integrate-applications/integration-hub/gdirectory-spoke.md","title":"Google Directory Spoke","bundle":null,"doc_type":null,"release":"australia","body":"\n# Google Directory Spoke\n\nManage groups, members, and users in Google Directory from your ServiceNow instance.\n\n## Request apps on the Store\n\nVisit the [ServiceNow Store](https://store.servicenow.com/sn_appstore_store.do#!/store/home) to view all the available apps, and for information about submitting requests to the store. For cumulative release notes information for all released apps, see the [ServiceNow Store version history release notes](https://www.servicenow.com/docs/r/store-release-notes/sn-store-release-notes.html).\n\n## Integration Hub subscription\n\nThis spoke requires an Integration Hub subscription. For more information, see [Legal schedules - IntegrationHub overview](https://www.servicenow.com/content/dam/servicenow-assets/public/en-us/doc-type/legal/snc-addendum-integrationhub.pdf).\n\n**Note:**\n\n-   In this version, the alias type is changed to the **Connection and Credential**. The alias type supports multiple connections.\n-   If you’re upgrading to Google Directory spoke v1.1.2, you must reconfigure the alias record.\n\n## Spoke version\n\nGoogle Directory spoke v1.6.0 is the latest version. For version history of the spoke, see [Google Directory spoke release notes](https://www.servicenow.com/docs/r/store-release-notes/store-integrationhub-rn-google-directory.html).\n\n## Spoke dependencies\n\nIf you’re having trouble installing the app, ensure that these dependent plugins are installed:\n\n-   ServiceNow IntegrationHub Action Template - Data Stream \\(com.glide.hub.action\\_type.datastream\\)\n-   ServiceNow IntegrationHub Action Step - REST \\(com.glide.hub.action\\_step.rest\\)\n-   ServiceNow IntegrationHub Runtime \\(com.glide.hub.integration.runtime\\)\n-   ServiceNow Flow Designer - Dynamic Inputs \\(com.glide.hub.dynamic\\_inputs\\)\n-   Complex Object \\(com.glide.cobject\\)\n\n**Note:** Some of these plugins are licensable features and require an appropriate license if used outside the spoke implementation. For information on licenses, contact your account manager.\n\n## Google Directory account requirements\n\nThe Google Directory spoke requires a custom app that you create in the Google Developers Console.\n\n## Supported versions\n\nThis spoke was built for API version v1, but may be compatible with later versions.\n\n## Spoke subflows\n\nThe Google Directory spoke provides sample subflows to demonstrate automating tasks. To customize a sample subflow, copy it to the required application scope. These webhook subflows perform specific tasks when webhooks execute user resource changes in the Google Directory. Available sample subflows include:\n\n<table id=\"table_z3x_yx3_dzb\"><thead><tr><th>\n\nSubflow\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nCreate Google Directory User Webhook Subflow\n\n</td><td>\n\nWhen you update the details of a user in the Google Directory, a webhook notifies your ServiceNow instance. Now, when you execute the `Create Directory User Webhook Subflow`, it creates a subscription and an entry to the `Google Directory Webhook Registries table`.**Note:** To execute the subflow, you must provide the webhook URL that ServiceNow exposes for incoming webhooks in the Test Subflow window. The webhook URL format is`https://<instance-name>.service-now.com/api/sn_googledir_spoke/google_directory_webhook_callbacks/wh_entry`.\n\n</td></tr><tr><td>\n\nProcess Google Directory User Webhook Subflow\n\n</td><td>\n\nProcesses Google Directory webhooks when user details are updated in the Google directory. The Google Directory provides sample subflows to demonstrate automating Google Directory webhook flows.\n\n</td></tr></tbody>\n</table>## Spoke actions\n\nThe Google Directory spoke provides actions to automate Google Directory when events occur in ServiceNow. Available actions include:\n\n<table id=\"table_htp_mmq_glb\"><thead><tr><th>\n\nCategory\n\n</th><th>\n\nAction\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td rowspan=\"6\">\n\nGroup Management\n\n</td><td>\n\nCreate Group\n\n</td><td>\n\nCreates a group.\n\n</td></tr><tr><td>\n\nDelete Group\n\n</td><td>\n\nDeletes a group.\n\n</td></tr><tr><td>\n\nLook up Group Details by Group Email or ID\n\n</td><td>\n\nRetrieves details of the specified groups based on group email or ID.\n\n</td></tr><tr><td>\n\nLook up All Groups Stream\n\n</td><td>\n\nRetrieves the details of all groups.\n\n</td></tr><tr><td>\n\nLook up Groups Stream by Filtering Criteria\n\n</td><td>\n\nRetrieves details of the specified groups based on the provided filter criteria.\n\n</td></tr><tr><td>\n\nUpdate Group Details\n\n</td><td>\n\nUpdates details of the specified group.\n\n</td></tr><tr><td rowspan=\"6\">\n\nMember Management\n\n</td><td>\n\nAdd Member To A Group\n\n</td><td>\n\nAdds member to the specified group.\n\n</td></tr><tr><td>\n\nCheck Membership of a Group\n\n</td><td>\n\nChecks if the given user is a member of the group email or ID.\n\n</td></tr><tr><td>\n\nLook up Member Details from a Group\n\n</td><td>\n\nRetrieves the details of the required member in the specified group.\n\n</td></tr><tr><td>\n\nLook up Members of a Group by Group Email or ID\n\n</td><td>\n\nRetrieves the details of all member in the specified group.\n\n</td></tr><tr><td>\n\nRemove Member from a Group\n\n</td><td>\n\nRemoves the specified member from a group.\n\n</td></tr><tr><td>\n\nUpdate Member\n\n</td><td>\n\nUpdates details of the specified member in a group.\n\n</td></tr><tr><td rowspan=\"12\">\n\nUser Management\n\n</td><td>\n\nCreate User\n\n</td><td>\n\nCreates a user.\n\n</td></tr><tr><td>\n\nDelete User\n\n</td><td>\n\nDeletes the specified user.\n\n</td></tr><tr><td>\n\nGenerate Random Password\n\n</td><td>\n\nGenerates a random password with the specified length.\n\n</td></tr><tr><td>\n\nGrant Admin To User\n\n</td><td>\n\nGrants admin privileges to the specified user.\n\n</td></tr><tr><td>\n\nLook up All Users Stream by Customer ID\n\n</td><td>\n\nRetrieves a paginated list of all users in a domain, including deleted users if **showDeleted** is set to `true`.\n\n</td></tr><tr><td>\n\nLook up User Details by User Email or ID\n\n</td><td>\n\nRetrieves details of the given user.\n\n</td></tr><tr><td>\n\nLook up Users Stream by Filtering Criteria\n\n</td><td>\n\nSearches for users matching the filter criteria. This action accepts the query parameter which is a search query combining one or more search clauses.\n\n</td></tr><tr><td>\n\nReactivate User\n\n</td><td>\n\nReactivates the specified user.**Note:** Exercise caution while using this action, as it may affect the other user’s account.\n\n</td></tr><tr><td>\n\nReset User Password\n\n</td><td>\n\nResets the password of the user.**Note:** Exercise caution while using this action, as it may affect the other user’s account. By default, the **Force Change Password** option is enabled and the user is forced to change the password on the first login.\n\n</td></tr><tr><td>\n\nRevoke Admin from User\n\n</td><td>\n\nRevokes the admin privileges of the specified user.\n\n</td></tr><tr><td>\n\nSuspend User\n\n</td><td>\n\nSuspends the specified user.**Note:** Exercise caution while using this action, as it may affect the other user’s account.\n\n</td></tr><tr><td>\n\nUpdate User Details\n\n</td><td>\n\nUpdates details of the specified user.\n\n</td></tr><tr><td rowspan=\"2\">\n\nWebhook Management\n\n</td><td>\n\nCreate Subscription Channel\n\n</td><td>\n\nCreates a subscription channel that watches for changes in the users list.\n\n</td></tr><tr><td>\n\nStop Subscription Channel\n\n</td><td>\n\nStops watching resources through the given channel before the expiry of the subscription.\n\n</td></tr><tr><td rowspan=\"2\">\n\nSchema Management\n\n</td><td>\n\nLook up Schema by ID\n\n</td><td>\n\nRetrieves details of the specified schema.\n\n</td></tr><tr><td>\n\nLook up schemas\n\n</td><td>\n\nRetrieves details of all schemas for a customer.\n\n</td></tr></tbody>\n</table>## Connection and credential alias requirements\n\nIntegration Hub uses aliases to manage connection and credential information, and OAuth credentials. Using an alias eliminates the need to configure multiple credentials and connection information profiles when using multiple environments. If the connection or credential information changes, you don't need to update any actions that use the connection.\n\nFor information about setting up the spoke, see [Set up the Google Directory spoke](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/integrate-applications/integration-hub/setup-gdirectory.md).\n\n"}}